## png2html 1.1

=== Makefile ===
# Makefile for png2html, (c) 1999 Geoff Holden

CC      = gcc
CFLAGS  = -O2 -Wall -lpng -lgd

all:    png2html

png2html:
	$(CC) -o png2html png2html.c $(CFLAGS)

clean:
	rm -f *~ png2html

=== debian/changelog ===
png2html (1.1-9) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Bumped Standards-Version to 4.6.1.
      - Migrated DH level to 13.
  * debian/copyright: updated packaging copyright years.
  * debian/watch: updated to use a fake site to explain about the current
    status of the original upstream homepage.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 17 Jul 2022 01:53:55 -0300

png2html (1.1-8) unstable; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.0.
      - Created VCS fields.
  * debian/copyright:
      - Added packaging rights for Adam Borowski.
      - Updated packaging copyright years.
  * debian/rules.OLD: not needed. Removed.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/source/include-binaries: created to control
    debian/tests/debian-logo.png file.
  * debian/tests/*: created to perform trivial CI tests.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 09 Apr 2020 14:41:27 -0300

png2html (1.1-7) unstable; urgency=medium

  * QA upload.
  * Build-Depend on libgd-dev. (Closes: #880779)
  * dh 10.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 10 Nov 2017 12:22:22 +0100

png2html (1.1-6) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #746047)
  * New upstream homepage.
  * Migrations:
      - debian/copyright to 1.0 format.
      - debian/rules to new (reduced) format.
      - DebSrc to 3.0 version. (Closes: #664381)
      - DH level to 9.
  * debian/control:
      - Added the ${misc:Depends} variable to Depends field.
      - Bumped Standards-Version to 3.9.8.
      - Changed Priority from extra to optional.
      - Moved the Homepage field from long description to header.
        (Closes: #615223)
      - Removed the obsolete build dependency dpatch.
  * debian/docs: created to install the README file.
  * debian/install: created to install the binary.
  * debian/manpages: created to install the manpage.
  * debian/patches/:
      - 01_truecolorfix.dpatch:
          ~ Renamed to 10_truecolor-fix.patch
          ~ Converted to quilt.
      - 20_add-gcc-hardening.patch: create to add GCC hardening.
  * debian/watch: created.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 23 Aug 2016 21:08:40 -0300

png2html (1.1-5) unstable; urgency=low

  * New maintainer (Closes: #387477).
  * Removed broken URLs and rewrote package descriptions in debian/control
    and png2html.1 manpage (Closes: #388602).
  * Added notes about using stdin/stdout for input/output for png2html to
    png2html.1 manpage, added some clarification, and updated authors.
  * Updated Debian Policy to 3.7.2.
  * Corrected copyright in debian/copyright.
  * Switched packaging to dpatch.
  * debian/rules:
    - Added dpatch targets, and .NOTPARALLEL flag.
    - Added dh_installdocs and dh_installman file locations.
    - Removed redundant dh_* templates, and tidied up file.
    - Added correct CFLAGS override.
    - Switched install method from patched Makefile to dh_install.
  * Set debhelper compatibility level to 5.
  * Removed now redundant debian/ files: dirs, docs, manpages.
  * Removed duplicate copy of png2html.1 manpage.
  * Incorporated NMU fixes from 1.1-4.1 (Closes: #343915, #335659).
  * 01_truecolorfix - patches png2html.c to use gdImageRed etc. macros
    to support truecolor images - sent to upstream (Closes: #338971).

 -- Jack Grahams <jackgrahams@inbox.com>  Sat, 23 Sep 2006 02:39:18 +0100

png2html (1.1-4.1) unstable; urgency=high

  * Non-maintainer upload.
  * Update gd2 build-dep to libgd2-noxpm-dev (Closes: #343915, #335659).

 -- Luk Claes <luk@debian.org>  Sat, 31 Dec 2005 15:37:21 +0100

png2html (1.1-4) unstable; urgency=low

  * Migrate the build-depend to libgd-dev version 2 (Closes: #314317)

 -- William Vera <billy@billy.com.mx>  Sun, 18 Sep 2005 22:03:08 -0500

png2html (1.1-3) unstable; urgency=low

  * Removed dependency on libgd-dev (Closes: #304010).

 -- William Vera <billy@billy.com.mx>  Sun, 10 Apr 2005 20:25:19 -0500

png2html (1.1-2) unstable; urgency=low

  * Fixed maintainer's email address
  * Fixed priority (graphics - extra)

 -- William Vera <billy@billy.com.mx>  Fri,  8 Apr 2005 21:44:31 -0500

png2html (1.1-1) unstable; urgency=low

  * Initial Release (Closes:#301585).

 -- William Vera <billy@billy.com.mx>  Wed, 23 Mar 2005 01:43:46 -0600

=== debian/control ===
Source: png2html
Section: graphics
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), libgd-dev
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: http://www.engr.mun.ca/~holden/png2html.html
Vcs-Browser: https://salsa.debian.org/debian/png2html
Vcs-Git: https://salsa.debian.org/debian/png2html.git

Package: png2html
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: transforms a PNG image to a web page
 Png2html takes a PNG image and transforms it pixel by pixel to a web page,
 encoding each pixel as an appropriately coloured letter. It is decided which
 letter to encode each pixel as by using a text file supplied by the user. An
 example can be found on the project's homepage.

=== debian/tests/control ===
Test-Command: png2html 2>&1 | grep Usage

Test-Command: png2html debian/tests/debian-logo.png debian/tests/textfile.txt $AUTOPKGTEST_TMP/output.html 2
